// Verilated -*- C++ -*-
// DESCRIPTION: Verilator output: Design implementation internals
// See VCACHE.h for the primary calling header

#include "VCACHE.h"
#include "VCACHE__Syms.h"

void VCACHE::_eval(VCACHE__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCACHE::_eval\n"); );
    VCACHE* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    vlTOPp->_combo__TOP__2(vlSymsp);
    vlTOPp->__Vm_traceActivity[1U] = 1U;
    if (((IData)(vlTOPp->clk) & (~ (IData)(vlTOPp->__Vclklast__TOP__clk)))) {
        vlSymsp->TOP__CACHE__DOT__B0_DAT_RAM._sequent__TOP__CACHE__DOT__B0_DAT_RAM__5(vlSymsp);
        vlSymsp->TOP__CACHE__DOT__B1_DAT_RAM._sequent__TOP__CACHE__DOT__B1_DAT_RAM__6(vlSymsp);
        vlTOPp->_sequent__TOP__5(vlSymsp);
    }
    vlTOPp->_combo__TOP__6(vlSymsp);
    vlSymsp->TOP__CACHE__DOT__B0_DAT_RAM._settle__TOP__CACHE__DOT__B0_DAT_RAM__3(vlSymsp);
    vlSymsp->TOP__CACHE__DOT__B1_DAT_RAM._settle__TOP__CACHE__DOT__B1_DAT_RAM__4(vlSymsp);
    vlTOPp->_settle__TOP__4(vlSymsp);
    // Final
    vlTOPp->__Vclklast__TOP__clk = vlTOPp->clk;
}

VL_INLINE_OPT QData VCACHE::_change_request(VCACHE__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCACHE::_change_request\n"); );
    VCACHE* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    return (vlTOPp->_change_request_1(vlSymsp));
}

VL_INLINE_OPT QData VCACHE::_change_request_1(VCACHE__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCACHE::_change_request_1\n"); );
    VCACHE* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    // Change detection
    QData __req = false;  // Logically a bool
    __req |= ((vlTOPp->CACHE__DOT__b0_tag_vld ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__b0_tag_vld)
         | (vlTOPp->CACHE__DOT__b0_tag ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__b0_tag)
         | (vlTOPp->CACHE__DOT__b1_tag_vld ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__b1_tag_vld)
         | (vlTOPp->CACHE__DOT__b1_tag ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__b1_tag)
         | (vlTOPp->CACHE__DOT__B0_DAT_RAM_rd_data ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__B0_DAT_RAM_rd_data)
         | (vlTOPp->CACHE__DOT__B0_TAG_RAM_rd_data ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__B0_TAG_RAM_rd_data)
         | (vlTOPp->CACHE__DOT__B1_DAT_RAM_rd_data ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__B1_DAT_RAM_rd_data)
         | (vlTOPp->CACHE__DOT__B1_TAG_RAM_rd_data ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__B1_TAG_RAM_rd_data));
    VL_DEBUG_IF( if(__req && ((vlTOPp->CACHE__DOT__b0_tag_vld ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__b0_tag_vld))) VL_DBG_MSGF("        CHANGE: CACHE.sv:96: CACHE.b0_tag_vld\n"); );
    VL_DEBUG_IF( if(__req && ((vlTOPp->CACHE__DOT__b0_tag ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__b0_tag))) VL_DBG_MSGF("        CHANGE: CACHE.sv:97: CACHE.b0_tag\n"); );
    VL_DEBUG_IF( if(__req && ((vlTOPp->CACHE__DOT__b1_tag_vld ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__b1_tag_vld))) VL_DBG_MSGF("        CHANGE: CACHE.sv:98: CACHE.b1_tag_vld\n"); );
    VL_DEBUG_IF( if(__req && ((vlTOPp->CACHE__DOT__b1_tag ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__b1_tag))) VL_DBG_MSGF("        CHANGE: CACHE.sv:99: CACHE.b1_tag\n"); );
    VL_DEBUG_IF( if(__req && ((vlTOPp->CACHE__DOT__B0_DAT_RAM_rd_data ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__B0_DAT_RAM_rd_data))) VL_DBG_MSGF("        CHANGE: CACHE.sv:357: CACHE.B0_DAT_RAM_rd_data\n"); );
    VL_DEBUG_IF( if(__req && ((vlTOPp->CACHE__DOT__B0_TAG_RAM_rd_data ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__B0_TAG_RAM_rd_data))) VL_DBG_MSGF("        CHANGE: CACHE.sv:385: CACHE.B0_TAG_RAM_rd_data\n"); );
    VL_DEBUG_IF( if(__req && ((vlTOPp->CACHE__DOT__B1_DAT_RAM_rd_data ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__B1_DAT_RAM_rd_data))) VL_DBG_MSGF("        CHANGE: CACHE.sv:413: CACHE.B1_DAT_RAM_rd_data\n"); );
    VL_DEBUG_IF( if(__req && ((vlTOPp->CACHE__DOT__B1_TAG_RAM_rd_data ^ vlTOPp->__Vchglast__TOP__CACHE__DOT__B1_TAG_RAM_rd_data))) VL_DBG_MSGF("        CHANGE: CACHE.sv:441: CACHE.B1_TAG_RAM_rd_data\n"); );
    // Final
    vlTOPp->__Vchglast__TOP__CACHE__DOT__b0_tag_vld 
        = vlTOPp->CACHE__DOT__b0_tag_vld;
    vlTOPp->__Vchglast__TOP__CACHE__DOT__b0_tag = vlTOPp->CACHE__DOT__b0_tag;
    vlTOPp->__Vchglast__TOP__CACHE__DOT__b1_tag_vld 
        = vlTOPp->CACHE__DOT__b1_tag_vld;
    vlTOPp->__Vchglast__TOP__CACHE__DOT__b1_tag = vlTOPp->CACHE__DOT__b1_tag;
    vlTOPp->__Vchglast__TOP__CACHE__DOT__B0_DAT_RAM_rd_data 
        = vlTOPp->CACHE__DOT__B0_DAT_RAM_rd_data;
    vlTOPp->__Vchglast__TOP__CACHE__DOT__B0_TAG_RAM_rd_data 
        = vlTOPp->CACHE__DOT__B0_TAG_RAM_rd_data;
    vlTOPp->__Vchglast__TOP__CACHE__DOT__B1_DAT_RAM_rd_data 
        = vlTOPp->CACHE__DOT__B1_DAT_RAM_rd_data;
    vlTOPp->__Vchglast__TOP__CACHE__DOT__B1_TAG_RAM_rd_data 
        = vlTOPp->CACHE__DOT__B1_TAG_RAM_rd_data;
    return __req;
}

#ifdef VL_DEBUG
void VCACHE::_eval_debug_assertions() {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCACHE::_eval_debug_assertions\n"); );
    // Body
    if (VL_UNLIKELY((clk & 0xfeU))) {
        Verilated::overWidthError("clk");}
    if (VL_UNLIKELY((res_n & 0xfeU))) {
        Verilated::overWidthError("res_n");}
    if (VL_UNLIKELY((lock & 0xfeU))) {
        Verilated::overWidthError("lock");}
    if (VL_UNLIKELY((unlock & 0xfeU))) {
        Verilated::overWidthError("unlock");}
    if (VL_UNLIKELY((phys_addr_in & 0ULL))) {
        Verilated::overWidthError("phys_addr_in");}
    if (VL_UNLIKELY((phys_addr_in_vld & 0xfeU))) {
        Verilated::overWidthError("phys_addr_in_vld");}
    if (VL_UNLIKELY((data_from_mem_vld & 0xfeU))) {
        Verilated::overWidthError("data_from_mem_vld");}
    if (VL_UNLIKELY((data_from_cpu_vld & 0xfeU))) {
        Verilated::overWidthError("data_from_cpu_vld");}
}
#endif  // VL_DEBUG
