// Verilated -*- C++ -*-
// DESCRIPTION: Verilator output: Tracing implementation internals
#include "verilated_vcd_c.h"
#include "VCACHE__Syms.h"


void VCACHE::traceChgTop0(void* userp, VerilatedVcd* tracep) {
    VCACHE__Syms* __restrict vlSymsp = static_cast<VCACHE__Syms*>(userp);
    VCACHE* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Variables
    if (VL_UNLIKELY(!vlSymsp->__Vm_activity)) return;
    // Body
    {
        vlTOPp->traceChgSub0(userp, tracep);
    }
}

void VCACHE::traceChgSub0(void* userp, VerilatedVcd* tracep) {
    VCACHE__Syms* __restrict vlSymsp = static_cast<VCACHE__Syms*>(userp);
    VCACHE* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    vluint32_t* const oldp = tracep->oldp(vlSymsp->__Vm_baseCode + 1);
    if (false && oldp) {}  // Prevent unused
    // Body
    {
        if (VL_UNLIKELY(vlTOPp->__Vm_traceActivity[0U])) {
            tracep->chgIData(oldp+0,(vlTOPp->CACHE__DOT__B0_TAG_RAM__DOT__i),32);
            tracep->chgIData(oldp+1,(vlTOPp->CACHE__DOT__B1_TAG_RAM__DOT__i),32);
            tracep->chgIData(oldp+2,(vlSymsp->TOP__CACHE__DOT__B0_DAT_RAM.__PVT__i),32);
            tracep->chgIData(oldp+3,(vlSymsp->TOP__CACHE__DOT__B1_DAT_RAM.__PVT__i),32);
        }
        if (VL_UNLIKELY(vlTOPp->__Vm_traceActivity[1U])) {
            tracep->chgCData(oldp+4,(vlTOPp->CACHE__DOT__NEXT_STATE),4);
            tracep->chgBit(oldp+5,(vlTOPp->CACHE__DOT__b0_tag_vld));
            tracep->chgIData(oldp+6,(vlTOPp->CACHE__DOT__b0_tag),25);
            tracep->chgBit(oldp+7,(vlTOPp->CACHE__DOT__b1_tag_vld));
            tracep->chgIData(oldp+8,(vlTOPp->CACHE__DOT__b1_tag),25);
            tracep->chgQData(oldp+9,(vlTOPp->CACHE__DOT__b0_dat),64);
            tracep->chgQData(oldp+11,(vlTOPp->CACHE__DOT__b1_dat),64);
            tracep->chgBit(oldp+13,((1U & (~ ((IData)(vlTOPp->CACHE__DOT__IS_RD_REQ) 
                                              | (IData)(vlTOPp->CACHE__DOT__IS_WR_REQ))))));
            tracep->chgBit(oldp+14,(vlTOPp->CACHE__DOT__DO_IDLE_RD));
            tracep->chgBit(oldp+15,(vlTOPp->CACHE__DOT__DO_IDLE_WR));
            tracep->chgBit(oldp+16,(vlTOPp->CACHE__DOT__DO_LOCK));
            tracep->chgBit(oldp+17,(vlTOPp->CACHE__DOT__DO_MEM_REQ));
            tracep->chgBit(oldp+18,(vlTOPp->CACHE__DOT__DO_UNLOCK));
            tracep->chgBit(oldp+19,(vlTOPp->CACHE__DOT__IS_HIT_B0));
            tracep->chgBit(oldp+20,(vlTOPp->CACHE__DOT__IS_HIT_B1));
            tracep->chgBit(oldp+21,(vlTOPp->CACHE__DOT__IS_MEM_REQ_DONE));
            tracep->chgBit(oldp+22,(vlTOPp->CACHE__DOT__IS_RD_REQ));
            tracep->chgBit(oldp+23,(vlTOPp->CACHE__DOT__IS_WR_REQ));
            tracep->chgBit(oldp+24,(vlTOPp->CACHE__DOT__B0_DAT_RAM_rd));
            tracep->chgQData(oldp+25,(vlTOPp->CACHE__DOT__B0_DAT_RAM_rd_data),64);
            tracep->chgSData(oldp+27,(vlTOPp->CACHE__DOT__B0_DAT_RAM_rd_addr),9);
            tracep->chgBit(oldp+28,(vlTOPp->CACHE__DOT__B0_DAT_RAM_wr));
            tracep->chgQData(oldp+29,(vlTOPp->CACHE__DOT__B0_DAT_RAM_wr_data),64);
            tracep->chgSData(oldp+31,(vlTOPp->CACHE__DOT__B0_DAT_RAM_wr_addr),9);
            tracep->chgBit(oldp+32,(vlTOPp->CACHE__DOT__B0_TAG_RAM_rd));
            tracep->chgIData(oldp+33,(vlTOPp->CACHE__DOT__B0_TAG_RAM_rd_data),26);
            tracep->chgSData(oldp+34,(vlTOPp->CACHE__DOT__B0_TAG_RAM_rd_addr),9);
            tracep->chgBit(oldp+35,(vlTOPp->CACHE__DOT__B0_TAG_RAM_wr));
            tracep->chgIData(oldp+36,(vlTOPp->CACHE__DOT__B0_TAG_RAM_wr_data),26);
            tracep->chgSData(oldp+37,(vlTOPp->CACHE__DOT__B0_TAG_RAM_wr_addr),9);
            tracep->chgBit(oldp+38,(vlTOPp->CACHE__DOT__B1_DAT_RAM_rd));
            tracep->chgQData(oldp+39,(vlTOPp->CACHE__DOT__B1_DAT_RAM_rd_data),64);
            tracep->chgSData(oldp+41,(vlTOPp->CACHE__DOT__B1_DAT_RAM_rd_addr),9);
            tracep->chgBit(oldp+42,(vlTOPp->CACHE__DOT__B1_DAT_RAM_wr));
            tracep->chgQData(oldp+43,(vlTOPp->CACHE__DOT__B1_DAT_RAM_wr_data),64);
            tracep->chgSData(oldp+45,(vlTOPp->CACHE__DOT__B1_DAT_RAM_wr_addr),9);
            tracep->chgBit(oldp+46,(vlTOPp->CACHE__DOT__B1_TAG_RAM_rd));
            tracep->chgIData(oldp+47,(vlTOPp->CACHE__DOT__B1_TAG_RAM_rd_data),26);
            tracep->chgSData(oldp+48,(vlTOPp->CACHE__DOT__B1_TAG_RAM_rd_addr),9);
            tracep->chgBit(oldp+49,(vlTOPp->CACHE__DOT__B1_TAG_RAM_wr));
            tracep->chgIData(oldp+50,(vlTOPp->CACHE__DOT__B1_TAG_RAM_wr_data),26);
            tracep->chgSData(oldp+51,(vlTOPp->CACHE__DOT__B1_TAG_RAM_wr_addr),9);
        }
        tracep->chgBit(oldp+52,(vlTOPp->clk));
        tracep->chgBit(oldp+53,(vlTOPp->res_n));
        tracep->chgBit(oldp+54,(vlTOPp->lock));
        tracep->chgBit(oldp+55,(vlTOPp->unlock));
        tracep->chgIData(oldp+56,(vlTOPp->key),32);
        tracep->chgQData(oldp+57,(vlTOPp->phys_addr_in),40);
        tracep->chgBit(oldp+59,(vlTOPp->phys_addr_in_vld));
        tracep->chgQData(oldp+60,(vlTOPp->data_from_mem),64);
        tracep->chgBit(oldp+62,(vlTOPp->data_from_mem_vld));
        tracep->chgQData(oldp+63,(vlTOPp->data_from_cpu),64);
        tracep->chgBit(oldp+65,(vlTOPp->data_from_cpu_vld));
        tracep->chgQData(oldp+66,(vlTOPp->data_to_cpu),64);
        tracep->chgBit(oldp+68,(vlTOPp->data_to_cpu_vld));
        tracep->chgQData(oldp+69,(vlTOPp->data_to_victim_buffer),64);
        tracep->chgBit(oldp+71,(vlTOPp->data_to_victim_buffer_vld));
        tracep->chgBit(oldp+72,(vlTOPp->miss));
        tracep->chgBit(oldp+73,(vlTOPp->locked));
        tracep->chgCData(oldp+74,(vlTOPp->CACHE__DOT__STATE),4);
        tracep->chgBit(oldp+75,((0xffffffffU == vlTOPp->key)));
        tracep->chgSData(oldp+76,((0x1ffU & (IData)(
                                                    (vlTOPp->phys_addr_in 
                                                     >> 6U)))),9);
        tracep->chgCData(oldp+77,((0x3fU & (IData)(vlTOPp->phys_addr_in))),6);
        tracep->chgIData(oldp+78,((0x1ffffffU & (IData)(
                                                        (vlTOPp->phys_addr_in 
                                                         >> 0xfU)))),25);
    }
}

void VCACHE::traceCleanup(void* userp, VerilatedVcd* /*unused*/) {
    VCACHE__Syms* __restrict vlSymsp = static_cast<VCACHE__Syms*>(userp);
    VCACHE* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    {
        vlSymsp->__Vm_activity = false;
        vlTOPp->__Vm_traceActivity[0U] = 0U;
        vlTOPp->__Vm_traceActivity[1U] = 0U;
    }
}
